"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ts = require("typescript");
/**
 * Example tscodeshift transformer. Simply reverses the names of all
 * identifiers.
 */
function default_1(file, api) {
    const t = api.tscodeshift;
    return t(file.source)
        .find(ts.SyntaxKind.Identifier)
        .replaceWith(node => ts.createIdentifier(node.text.split('').reverse().join('')))
        .toSource();
}
exports.default = default_1;
